import request from "@/utils/request.js";

// 入驻申请
export function supplierApplyJoin(data) {
	return request.post(`supplier/apply`, data);
}
// 入驻申请记录
export function supplierApplyRecord(data) {
	return request.post(`supplier/apply_record`, data);
}
// 单条申请信息
export function supplierApplyInfo(data) {
	return request.get(`supplier/apply_info`, data);
}
// 供应商商品列表
export function supplierGoodsList(data) {
	return request.get(`supplier/goods_list`, data);
}
// 进货购物车 - 获取购物车列表
export function withGoodsCartList() {
	return request.get(`supplier/cart_list`);
}
// 进货购物车 - 获取购物车所有商品id
export function withGoodsCartIds() {
	return request.get(`supplier/cart_ids`);
}
// 进货购物车 - 添加商品
export function withGoodsCartAdd(data) {
	return request.post(`supplier/cart_add`, data);
}
// 进货购物车 - 删除商品
export function withGoodsCartDel(data) {
	return request.post(`supplier/cart_del`, data);
}

